
<template>
  <div class="box box-warning">
    <div class="box-header with-border">
      <h3 class="box-title">Most expensive transactions</h3>
    </div>
    <div class="box-body">
      <div class="card-body">
          <div class="report-stats">
        <table class="mostExpBenef table table-striped table-bordered">
          <thead>
            <tr>
              <th>Beneficiary</th>
              <th>Amount, €</th>
               <th>Date</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item in mostExpTransactions" :key="item.id">
              <td>{{ item.custom_beneficiary.name }}</td>
              <td>{{ item.amountSum }} €</td>
              <td>{{ item.date }}</td>
            </tr>
          </tbody>
        </table>
      </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["mostExpTransactions"],

  data: function() {
    return {};
  }
};
</script>